Skip to content

GetSafeCubeJSData.

POST
/api/shape/safeap/namespaces/system/safeap/dashboard/safecubejsdata
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safeap/namespaces/system/safeap/dashboard/safecubejsdata \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "app_key": "example", "query": "example" }'

GET Safe CubeJS data request for a given query.

Examples of this operation.

Media typeapplication/json
GetSafeCubeJSRequest

Any payload to be passed from the SAFE Dashboard to the Safe CubeJS API.

object
app_key
AppKey

CubeJS AppKey.

string
<= 1024 characters
query
Query

Data in query string form to send parameters to backend API.

string
<= 1024 characters
Examplegenerated
{
"app_key": "example",
"query": "example"
}

A successful response.

Media typeapplication/json
GetSafeCubeJSResponse

Any payload to be return by Safe CubeJS API after processing the request.

object
response
Response

Response from cubejs.

string
<= 1024 characters
Examplegenerated
{
"response": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example